Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.datastore
Class DatastoreServiceFactory

    java.lang.Object
      com.google.appengine.api.datastore.DatastoreServiceFactory

    public final class DatastoreServiceFactory

extends java.lang.Object

Creates DatastoreService implementations.

Constructor Summary
`DatastoreServiceFactory()`

Method Summary
`static AsyncDatastoreService` | `getAsyncDatastoreService()` Creates a `AsyncDatastoreService` using the default config (`DatastoreServiceConfig.Builder.withDefaults()`).
`static AsyncDatastoreService` | `getAsyncDatastoreService(DatastoreServiceConfig config)` Creates a `AsyncDatastoreService` using the provided config.
`static DatastoreService` | `getDatastoreService()` Creates a `DatastoreService` using the default config (`DatastoreServiceConfig.Builder.withDefaults()`).
`static DatastoreService` | `getDatastoreService(DatastoreConfig oldConfig)` Deprecated. Use `getDatastoreService(DatastoreServiceConfig)` instead.
`static DatastoreService` | `getDatastoreService(DatastoreServiceConfig config)` Creates a `DatastoreService` using the provided config.
`static DatastoreConfig` | `getDefaultDatastoreConfig()` Deprecated. Use `DatastoreServiceConfig.Builder.withDefaults()` instead.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatastoreServiceFactory

    public DatastoreServiceFactory()

Method Detail

### getDatastoreService

    public static DatastoreService getDatastoreService()

  Creates a `DatastoreService` using the default config (`DatastoreServiceConfig.Builder.withDefaults()`).

### getAsyncDatastoreService

    public static AsyncDatastoreService getAsyncDatastoreService()

  Creates a `AsyncDatastoreService` using the default config (`DatastoreServiceConfig.Builder.withDefaults()`).

### getDatastoreService

    @Deprecated
    public static DatastoreService getDatastoreService(DatastoreConfig oldConfig)

  Deprecated. Use `getDatastoreService(DatastoreServiceConfig)` instead.

  Creates a `DatastoreService` using the provided config.

### getDatastoreService

    public static DatastoreService getDatastoreService(DatastoreServiceConfig config)

  Creates a `DatastoreService` using the provided config.

### getAsyncDatastoreService

    public static AsyncDatastoreService getAsyncDatastoreService(DatastoreServiceConfig config)

  Creates a `AsyncDatastoreService` using the provided config. The async datastore service does not support implicit transaction management policy `ImplicitTransactionManagementPolicy.AUTO`.

  Throws:
    `java.lang.IllegalArgumentException` - If the provided `DatastoreServiceConfig` has an implicit transaction management policy of `ImplicitTransactionManagementPolicy.AUTO`.

### getDefaultDatastoreConfig

    @Deprecated
    public static DatastoreConfig getDefaultDatastoreConfig()

  Deprecated. Use `DatastoreServiceConfig.Builder.withDefaults()` instead.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD